QGIS Application - Feature request #2754
Snapping to switched off layers
2010-05-27 04:27 AM - dr -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 12814
Description

1. Open two vector layers, for example layer1 and layer2;

2. Settings - Project Properties - Snapping options. Check layer1 and set any tolerance of snapping;

3. Turn off layer1 in TOC. Try to edit layer2. Snapping to switched off layer1 is active.

| suppose it would be good idea to turn off snapping to switched off layers.

History

#1 - 2011-04-17 08:22 AM - Alexander Bruy

Here is patch to that implements snapping only to visible layers

#2 - 2011-04-17 12:17 PM - Marco Hugentobler

In my opinion, we should not overwrite the snap settings based on the visibility of layers. It would lead to an inconsistent state of the snap settings dialog
(where the layer still is marked for snapping).

And it is not totally impossible that a user sets snapping to a non-visible layer. So better separate the properties snappable and visible.

#3 - 2011-04-17 12:19 PM - Marco Hugentobler
- Resolution set to wontfix

- Status changed from Open to Closed

Files

snap_only_to_visible.diff 710 Bytes 2011-04-17 Alexander Bruy
